| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | Protected Attributes | List of all members
readCache Class Reference

`#include <inputs.h>`

## Public Member Functions
| readCache ()
uint16_t | analogReadCached (uint8_t pin)
uint8_t | digitalReadCached (uint8_t pin)
void | invalidateInputCache ()

## Protected Attributes
uint8_t | addr
uint8_t | type
uint16_t | cached_data

## Constructor & Destructor Documentation

## ◆ readCache()

readCache::readCache | ( |  | ) |

## Member Function Documentation

## ◆ analogReadCached()

uint16_t readCache::analogReadCached | ( | uint8_t | pin | ) |

## ◆ digitalReadCached()

uint8_t readCache::digitalReadCached | ( | uint8_t | pin | ) |

TBD

## ◆ invalidateInputCache()

void readCache::invalidateInputCache | ( |  | ) |

## Member Data Documentation

## ◆ addr

uint8_t readCache::addr
| protected

## ◆ cached_data

uint16_t readCache::cached_data
| protected

## ◆ type

uint8_t readCache::type
| protected

The documentation for this class was generated from the following files:

- inputs.h
- inputs.cpp